| DocBook: The Definitive Guide Version 2.0.8 (Alpha)

# productionrecap

$Revision: 1.3 $

$Date: 2002/06/12 11:18:29 $

productionrecap — A cross-reference to an EBNF production

## Synopsis

### Content Model

    productionrecap ::=
    EMPTY

### Attributes

Common attributes

Name | Type | Default
linkend | IDREF | Required

## Description

This element is only available if you are using the EBNF Module.

A `ProductionRecap` is a cross reference to a `Production`.

### Processing expectations

A `ProductionRecap` is rendered exactly like the production to which it refers. The purpose of the `ProductionRecap` element is to allow a `ProductionSet` to contain copies of `Production`s defined elsewhere. This frequently makes it easier for readers to understand.

### Parents

These elements contain productionrecap: `productionset`.

## Attributes

linkend

  FIXME:

production |  | productionset

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.